#!/bin/sh

# Set_Show.sh
# Chieh Cheng
# 2006-06-19

# Show the complete set.

# GNU General Public License (GPL), Version 2, June 1991

scriptname=`echo $0 | sed s/\\\\/.*\\\\///g`

if [ $# -ne 1 ]
then
  echo "  Usage:   $scriptname \"name\""
  echo
  echo "           name - Name of the set. If it exists, the elements are displayed."
  exit
fi

name="$1"

result=`Set_Exists.sh "${name}"`

if [ "${result}" = "true" ]
then
  file=`Set_GetFileName.sh "${name}"`
  cat "${file}"
else
  echo "${scriptname}: Set ${name} does not exist!."
fi
