#!/bin/sh

# Set_New.sh
# Chieh Cheng
# 2006-06-19

# Create a new set.

# GNU General Public License (GPL), Version 2, June 1991

scriptname=`echo $0 | sed s/\\\\/.*\\\\///g`

if [ $# -ne 1 ]
then
  echo "  Usage:   $scriptname \"name\""
  echo
  echo "           name - Name of the set. If it exists, it is overwritten."
  exit
fi

name="$1"

result=`Set_Exists.sh "${name}"`
if [ "${result}" = "true" ]
then
  Set_Delete.sh "${name}"
fi

file=`Set_GetFileName.sh "${name}"`
touch "$file"

